# List Customer Assignments Retrieves a list of customers assigned to the specified entity. A filter can be applied (see the request sample). Endpoint: POST /customermanager.fetchassignments/{typedId} Security: basic, X-PriceFx-jwt ## Path parameters: - `typedId` (string, required) The typedId of the entity you want to retrieve assignments for. Example: "2147490405.PL" ## Request fields (application/json): - `endRow` (number) - `oldValues` (any) - `operationType` (string) - `startRow` (number) - `textMatchStyle` (string) - `data` (object) - `data._constructor` (string, required) - `data.operator` (string) - `data.criteria` (array) - `data.criteria.fieldName` (string) - `data.criteria.value` (number) ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (array) - `response.data.version` (number) - `response.data.typedId` (string) - `response.data.customerGroup` (object) - `response.data.customerGroup.label` (string) - `response.data.customerGroup.customerFieldName` (any) - `response.data.customerGroup.customerFieldLabel` (any) - `response.data.customerGroup.customerFieldValue` (any) - `response.data.customerGroup.customerFilterCriteria` (object) - `response.data.customerGroup.customerFilterCriteria._constructor` (string) - `response.data.customerGroup.customerFilterCriteria.criteria` (array) - `response.data.customerGroup.customerFilterCriteria.criteria.fieldName` (string) - `response.data.customerGroup.customerFilterCriteria.criteria.operator` (string) - `response.data.customerGroup.customerFilterCriteria.criteria.value` (array) - `response.data.assignmentId` (number) - `response.data.priority` (number) - `response.data.additionalInfo1` (any) - `response.data.additionalInfo2` (any) - `response.data.additionalInfo3` (any) - `response.data.additionalInfo4` (any) - `response.data.lastUpdateByName` (string) - `response.data.createdByName` (string) - `response.data.assignment` (string) - `response.data.createDate` (string) - `response.data.createdBy` (number) - `response.data.lastUpdateDate` (string) - `response.data.lastUpdateBy` (number) - `response.status` (number)